rt-app(1)

NAME
rt-app - Test application for simulating a real-time periodic load

SYNOPSIS
rt-app <config-file>

INTRODUCTION
rt-app is a test application that starts multiple periodic threads in order to simulate a real-time periodic load.

The code is currently maintained on GitHub: https://github.com/scheduler-tools/rt-app

REQUIREMENTS
rt-app runs on GNU/Linux. It needs json-c to run, and a 3.14 or later linux kernel supporting the SCHED_DEADLINE policy (unless built without the optional libdl).

USAGE
rt-app <config_file> where config file is a full/relative path to a JSON file or "-" (without quotes) to read JSON data from stdin.

See /usr/share/doc/rt-app/tutorial.txt for details of the JSON config file format

SEE ALSO
workgen <config_file> can be used instead of rt-app directly. It allows more freedom in writing the JSON workload files, by having a less strict grammar which is useful for defining multiple similar events. It will parse, check and update the JSON workload file before passing it to rt-app. See workgen(7)

The python merge script ( /usr/share/doc/rt-app/examples/merge.py ) can be used to combine JSON snippets into the config file. e.g:
./merge.py -o combined.json global.json resources.json thread0.json thread1.json thread2.json thread3.json

FILES
Numerous example workloads and building blocks can be found in
/usr/share/doc/rt-app/examples/*.json